libcamera: libcamera::V4L2Capability Struct Reference

libcamera v0.7.1 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
libcamera::V4L2Capability Struct Referencefinal

struct v4l2_capability object wrapper and helpers More...

Inheritance diagram for libcamera::V4L2Capability:
[legend]
Collaboration diagram for libcamera::V4L2Capability:
[legend]

## Public Member Functions
const char * | driver () const
| Retrieve the driver module name.
const char * | card () const
| Retrieve the video device card name.
const char * | bus_info () const
| Retrieve the location of the video device in the system.
unsigned int | device_caps () const
| Retrieve the capabilities of the video device.
bool | isMultiplanar () const
| Identify if the video device implements the V4L2 multiplanar APIs.
bool | isCapture () const
| Identify if the video device captures data.
bool | isOutput () const
| Identify if the video device outputs data.
bool | isVideo () const
| Identify if the video device captures or outputs images.
bool | isM2M () const
| Identify if the device is a Memory-to-Memory device.
bool | isMeta () const
| Identify if the video device captures or outputs image meta-data.
bool | isVideoCapture () const
| Identify if the video device captures images.
bool | isVideoOutput () const
| Identify if the video device outputs images.
bool | isMetaCapture () const
| Identify if the video device captures image meta-data.
bool | isMetaOutput () const
| Identify if the video device outputs image meta-data.
bool | hasStreaming () const
| Determine if the video device can perform Streaming I/O.
bool | hasMediaController () const
| Determine if the video device uses Media Controller to configure I/O.

## Detailed Description

struct v4l2_capability object wrapper and helpers

The V4L2Capability structure manages the information returned by the VIDIOC_QUERYCAP ioctl.

## Member Function Documentation

## ◆ bus_info()

const char * libcamera::V4L2Capability::bus_info | ( |  | ) | const
| inline

Retrieve the location of the video device in the system.

Returns
  The string containing the video device location

## ◆ card()

const char * libcamera::V4L2Capability::card | ( |  | ) | const
| inline

Retrieve the video device card name.

Returns
  The string containing the video device name

## ◆ device_caps()

unsigned int libcamera::V4L2Capability::device_caps | ( |  | ) | const
| inline

Retrieve the capabilities of the video device.

Returns
  The video device specific capabilities if V4L2_CAP_DEVICE_CAPS is set or driver capabilities otherwise

## ◆ driver()

const char * libcamera::V4L2Capability::driver | ( |  | ) | const
| inline

Retrieve the driver module name.

Returns
  The string containing the name of the driver module

## ◆ hasMediaController()

bool libcamera::V4L2Capability::hasMediaController | ( |  | ) | const
| inline

Determine if the video device uses Media Controller to configure I/O.

Returns
  True if the video device is controlled by a Media Controller device

## ◆ hasStreaming()

bool libcamera::V4L2Capability::hasStreaming | ( |  | ) | const
| inline

Determine if the video device can perform Streaming I/O.

Returns
  True if the video device provides Streaming I/O IOCTLs

## ◆ isCapture()

bool libcamera::V4L2Capability::isCapture | ( |  | ) | const
| inline

Identify if the video device captures data.

Returns
  True if the video device can capture data

## ◆ isM2M()

bool libcamera::V4L2Capability::isM2M | ( |  | ) | const
| inline

Identify if the device is a Memory-to-Memory device.

Returns
  True if the device can capture and output images using the M2M API

## ◆ isMeta()

bool libcamera::V4L2Capability::isMeta | ( |  | ) | const
| inline

Identify if the video device captures or outputs image meta-data.

Returns
  True if the video device can capture or output image meta-data

## ◆ isMetaCapture()

bool libcamera::V4L2Capability::isMetaCapture | ( |  | ) | const
| inline

Identify if the video device captures image meta-data.

Returns
  True if the video device can capture image meta-data

## ◆ isMetaOutput()

bool libcamera::V4L2Capability::isMetaOutput | ( |  | ) | const
| inline

Identify if the video device outputs image meta-data.

Returns
  True if the video device can output image meta-data

## ◆ isMultiplanar()

bool libcamera::V4L2Capability::isMultiplanar | ( |  | ) | const
| inline

Identify if the video device implements the V4L2 multiplanar APIs.

Returns
  True if the video device supports multiplanar APIs

## ◆ isOutput()

bool libcamera::V4L2Capability::isOutput | ( |  | ) | const
| inline

Identify if the video device outputs data.

Returns
  True if the video device can output data

## ◆ isVideo()

bool libcamera::V4L2Capability::isVideo | ( |  | ) | const
| inline

Identify if the video device captures or outputs images.

Returns
  True if the video device can capture or output images

## ◆ isVideoCapture()

bool libcamera::V4L2Capability::isVideoCapture | ( |  | ) | const
| inline

Identify if the video device captures images.

Returns
  True if the video device can capture images

## ◆ isVideoOutput()

bool libcamera::V4L2Capability::isVideoOutput | ( |  | ) | const
| inline

Identify if the video device outputs images.

Returns
  True if the video device can output images

The documentation for this struct was generated from the following files:

- include/libcamera/internal/v4l2_videodevice.h
- src/libcamera/v4l2_videodevice.cpp